<script>
	function get_data() {
		jQuery.ajax({
			url: app_url + 'entry_photo/get_data',
			type: 'POST',
			dataType: 'JSON',
			data: {
				code: jQuery('#inp_code').val()
			},
			success: function(response) {
				if (response.err_code == 0) {
					jQuery('.container-entry-photo').html(response.data);
				}
				else {
					bootbox.alert(response.err_message);
				}
			},
			error: function(resp){}
		});
	}

	var image_default = "assets/images/no-image.jpg";

	jQuery('body').on('click', '.az-image-x-image1', function() {
		jQuery('.az-image-image1 img').attr('src', base_url+image_default);
		jQuery(this).hide();
		jQuery('.az-image-file-div-image1').show();
	});

    jQuery('body').on('change', '.az-image-file#image_image1', function(){
        var content_image = jQuery('.az-content-image-image1');
        show_image_image1(this, content_image);
    });

    
	function show_image_image1(input, content_image) {
        if (input.files && input.files[0]) {
            var reader = new FileReader();
            reader.onload = function (e) {
                content_image.attr('src', e.target.result);
                jQuery('.az-image-file-div-image1').hide();
                jQuery('.az-image-x-image1').show();
            };

            reader.readAsDataURL(input.files[0]);;
        }
    }	


    jQuery('body').on('click', '.az-image-x-image2', function() {
		jQuery('.az-image-image2 img').attr('src', base_url+image_default);
		jQuery(this).hide();
		jQuery('.az-image-file-div-image2').show();
	});

    jQuery('body').on('change', '.az-image-file#image_image2', function(){
        var content_image = jQuery('.az-content-image-image2');
        show_image_image2(this, content_image);
    });

    
	function show_image_image2(input, content_image) {
        if (input.files && input.files[0]) {
            var reader = new FileReader();
            reader.onload = function (e) {
                content_image.attr('src', e.target.result);
                jQuery('.az-image-file-div-image2').hide();
                jQuery('.az-image-x-image2').show();
            };

            reader.readAsDataURL(input.files[0]);;
        }
    }	


    jQuery('body').on('click', '.az-image-x-image3', function() {
		jQuery('.az-image-image3 img').attr('src', base_url+image_default);
		jQuery(this).hide();
		jQuery('.az-image-file-div-image3').show();
	});

    jQuery('body').on('change', '.az-image-file#image_image3', function(){
        var content_image = jQuery('.az-content-image-image3');
        show_image_image3(this, content_image);
    });

    
	function show_image_image3(input, content_image) {
        if (input.files && input.files[0]) {
            var reader = new FileReader();
            reader.onload = function (e) {
                content_image.attr('src', e.target.result);
                jQuery('.az-image-file-div-image3').hide();
                jQuery('.az-image-x-image3').show();
            };

            reader.readAsDataURL(input.files[0]);;
        }
    }	


    jQuery('body').on('click', '.az-image-x-image4', function() {
		jQuery('.az-image-image4 img').attr('src', base_url+image_default);
		jQuery(this).hide();
		jQuery('.az-image-file-div-image4').show();
	});

    jQuery('body').on('change', '.az-image-file#image_image4', function(){
        var content_image = jQuery('.az-content-image-image4');
        show_image_image4(this, content_image);
    });

    
	function show_image_image4(input, content_image) {
        if (input.files && input.files[0]) {
            var reader = new FileReader();
            reader.onload = function (e) {
                content_image.attr('src', e.target.result);
                jQuery('.az-image-file-div-image4').hide();
                jQuery('.az-image-x-image4').show();
            };

            reader.readAsDataURL(input.files[0]);;
        }
    }	


    jQuery('body').on('click', '.az-image-x-image5', function() {
		jQuery('.az-image-image5 img').attr('src', base_url+image_default);
		jQuery(this).hide();
		jQuery('.az-image-file-div-image5').show();
	});

    jQuery('body').on('change', '.az-image-file#image_image5', function(){
        var content_image = jQuery('.az-content-image-image5');
        show_image_image5(this, content_image);
    });

    
	function show_image_image5(input, content_image) {
        if (input.files && input.files[0]) {
            var reader = new FileReader();
            reader.onload = function (e) {
                content_image.attr('src', e.target.result);
                jQuery('.az-image-file-div-image5').hide();
                jQuery('.az-image-x-image5').show();
            };

            reader.readAsDataURL(input.files[0]);;
        }
    }	


    jQuery('body').on('click', '.az-image-x-image6', function() {
		jQuery('.az-image-image6 img').attr('src', base_url+image_default);
		jQuery(this).hide();
		jQuery('.az-image-file-div-image6').show();
	});

    jQuery('body').on('change', '.az-image-file#image_image6', function(){
        var content_image = jQuery('.az-content-image-image6');
        show_image_image6(this, content_image);
    });

    
	function show_image_image6(input, content_image) {
        if (input.files && input.files[0]) {
            var reader = new FileReader();
            reader.onload = function (e) {
                content_image.attr('src', e.target.result);
                jQuery('.az-image-file-div-image6').hide();
                jQuery('.az-image-x-image6').show();
            };

            reader.readAsDataURL(input.files[0]);;
        }
    }	

    jQuery('body').on('click', '.btn-go-data', function() {
    	get_data();
    });


    jQuery("body").on("click", '#btn_save', function() {
        var formdata = new FormData();
        var file = jQuery('#image_image1')[0].files[0];
        formdata.append('image1', file);
        var file = jQuery('#image_image2')[0].files[0];
        formdata.append('image2', file);
        var file = jQuery('#image_image3')[0].files[0];
        formdata.append('image3', file);
        var file = jQuery('#image_image4')[0].files[0];
        formdata.append('image4', file);
        var file = jQuery('#image_image5')[0].files[0];
        formdata.append('image5', file);
        var file = jQuery('#image_image6')[0].files[0];
        formdata.append('image6', file);
        
        jQuery.each($('#form_entry_photo').serializeArray(), function (a, b) {
            formdata.append(b.name, b.value);
        });

        show_loading();
        jQuery.ajax({
            url: app_url+"entry_photo/save",
            type: "POST",
            data: formdata,
            dataType: "JSON",
            processData: false,
            contentType: false,
            success: function(response){
                hide_loading();
                if (response.err_code == 0) {
                	bootbox.alert("Update Data Berhasil");
                }
                else {
                    bootbox.alert(response.err_message);
                }
            },
            error: function(response) {
                console.log(response);
            }
        });
    });